Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface WindowConstants

All Known Implementing Classes:
  JInternalFrame, JFrame, JDialog

public interface WindowConstants

Constants used to control the window-closing operation. The `setDefaultCloseOperation` and `getDefaultCloseOperation` methods provided by `JFrame`, `JInternalFrame`, and `JDialog` use these constants. For examples of setting the default window-closing operation, see Responding to Window-Closing Events, a section in The Java Tutorial.

Field Summary
`static int` | `DISPOSE_ON_CLOSE` The dispose-window default window close operation
`static int` | `DO_NOTHING_ON_CLOSE` The do-nothing default window close operation
`static int` | `HIDE_ON_CLOSE` The hide-window default window close operation

Field Detail

### DO_NOTHING_ON_CLOSE

    public static final int DO_NOTHING_ON_CLOSE

  The do-nothing default window close operation

### HIDE_ON_CLOSE

    public static final int HIDE_ON_CLOSE

  The hide-window default window close operation

### DISPOSE_ON_CLOSE

    public static final int DISPOSE_ON_CLOSE

  The dispose-window default window close operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.